Subject: RE: b20.1: build question
From: [email-masked] (Kevin Schnitzius)

2 Jan 1999 10:44:47 -0800
Message-ID: <179AA48D1741D211821700805FFE241873CA8C.cygnus.gnu-win32@HQMAIL02>
To: "'Christopher Faylor'" <[email-masked]>
Cc: [email-masked]

> From: Christopher Faylor [mailto:[email-masked]]
> Sent: Friday, January 01, 1999 9:01 PM
> To: Kevin Schnitzius
> Cc: [email-masked]
> Subject: Re: b20.1: build question
> 
> On Thu, Dec 31, 1998 at 07:40:17PM -0500, Kevin Schnitzius wrote:
> >> From: [email-masked] [mailto:[email-masked]]
> >> Sent: Thursday, December 31, 1998 11:26 AM
> >> To: [email-masked]
> >> Subject: Re: b20.1: build question
> >> 
> >> In article 
> >> <179AA48D1741D211821700805FFE241873CA83.cygnus.gnu-win32@HQMAIL02>,
> >> Kevin Schnitzius <[email-masked]> wrote:
> >> >
> >> >On my NT4.0 box, should I be able to:
> >> >3a. Muck about with the newlib configuration to get it to work.
> >> 
> >> This is the third mention I've seen of people having problems with
> >> configuring newlib.
> >> 
> >> The annoying thing is that every one of them mentions that 
> there are
> >> problems but no one has yet reported what the problems are.
> >> 
> >> If someone would like to report *exactly* what the problem 
> with newlib
> >> configure might be, I'd be happy to look into getting it fixed.
> >
> >If you use a subdirectory for the src and obj directories, 
> you'll see this
> >problem.  For example, when I used /cygwin/src and 
> /cygwin/obj, the newlib
> >configure script tanked.  When I moved them to /src and 
> /obj, I was at
> >least able to build.
> 
> Ok.  This is slightly more information but I have no idea 
> what "tanked"
> means.
> 
> Since you've already experienced the problem and undoubtedly have seen
> an error message of some sort, why not let us know what it is?  That
> way I might actually be able to debug the problem without trying to
> duplicate your setup exactly.

Sorry.  I know better.  The thing is, I treat this list as a fall-back
to catch the stupid things I do.  I mean, everyone is building binaries
and my build failed -- what did I do wrong?

Anyway, I spent a couple hours trying to reproduce the problem and I
was unable to.  Let me reiterate: this time, following the same steps,
I could not recreate the problem.

Here are more details and repro steps from my notes:

1.  cd /cygwin
2.  ftp ftp.cygnus.com and get dev-src_tar.b2
3.  bunzip2 -c dev-src_tar.b2 | tar -xovf -
4.  mkdir obj
5.  cd obj
6.  ../src/configure --host=i586-pc-cygwin32 --prefix=/cygwin/install >
config.log 2>&1
7.  make > make.log 2>&1

At this point the make failed.  The error was:

configure: error: can not find install-sh or install.sh in .. ./..

This error was generated from the obj/i586-pc-cygwin32/newlib/configure
script.  I was
able to copy /cygwin/src/install-sh (as well as config.status and
config.guess) to 
obj/i586-pc-cygwin32 and get newlib to configure and the make to complete
successfully.
The bad make.log was overwritten when I reissued the make.  However, I got
this failure
twice: after getting a successful make, I blew everything away and
reconfigured because
the new cygwin1.dll was causing problems interacting with the old one.  I
assumed that
this was a build problem.

There are two differences from when I got the original failures:
1.  I might have used ../install as the prefix.
2.  The failures occurred on console of a WinTSE machine.  The successes
were from a MetaFrame 
	session.  There maybe some slight differences in the way the console
handler treats a 
	remote session.

I will try again Monday from the console.

> >I'm currently seeing an access fault in fhandler_base::de_linearize()
> >but when I attach gdb, it doesn't show up.  Arrgh.  This looks like
> >maybe a stack problem.  Any one else run into this?  (NT4.0, B20.1
> >tools and src).
> 
> That's a symptom of more than one cygwin1.dll on your system.  Just keep
> the latest one around.  cygcheck should tell you more about this.

Whoopee!  That's it.  See what I mean about doing stupid things?

Thanks,
Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".